Package uk.ac.starlink.vo

## Enum TapTableLoadDialog.TapRunMode

- java.lang.Object
- - java.lang.Enum<TapTableLoadDialog.TapRunMode>
  - - uk.ac.starlink.vo.TapTableLoadDialog.TapRunMode

- Enclosing class:
    TapTableLoadDialog

      public static enum TapTableLoadDialog.TapRunMode
      extends java.lang.Enum<TapTableLoadDialog.TapRunMode>

  Enum for TAP run modes.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ASYNC` | Asynchronous load into application.
    `LOOK` | Quick look in popup window.
    `SYNC` | Synchronous load into application.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `toString​()` |
    `static TapTableLoadDialog.TapRunMode` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static TapTableLoadDialog.TapRunMode[]` | `values​()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SYNC

          public static final TapTableLoadDialog.TapRunMode SYNC

      Synchronous load into application.

    - #### ASYNC

          public static final TapTableLoadDialog.TapRunMode ASYNC

      Asynchronous load into application.

    - #### LOOK

          public static final TapTableLoadDialog.TapRunMode LOOK

      Quick look in popup window.

  - ### Method Detail

    - #### values

          public static TapTableLoadDialog.TapRunMode[] values​()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TapTableLoadDialog.TapRunMode c : TapTableLoadDialog.TapRunMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TapTableLoadDialog.TapRunMode valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString​()

      Overrides:
        `toString` in class `java.lang.Enum<TapTableLoadDialog.TapRunMode>`

Copyright © 2018 Central Laboratory of the Research Councils. All Rights Reserved.